module.exports = {
    root: true,
    parser: 'babel-eslint',
    parserOptions: {
        sourceType: 'module'
    },
    // https://github.com/feross/standard/blob/master/RULES.md#javascript-standard-style
    extends: 'standard',
    "env": {
        "browser": true,
        "node": true
    },
    "globals": {
        "Vue": true,
        "VueRouter": true,
        "ga": true,
        "Rokid": true,
        "_": true,
        "Hejia": true,
    },
    // required to lint *.vue files
    plugins: [
        'html'
    ],
    // add your custom rules here
    'rules': {
        // allow paren-less arrow functions
        'arrow-parens': 0,
        // allow async-await
        'generator-star-spacing': 0,
        // allow debugger during development
        'no-debugger': process.env.NODE_ENV === 'production' ? 2 : 0,
        'indent': 0,
        // 忽略分号检查
        'semi': 0,
        // 单双引号使用不检查
        'quotes': 0,
        'standard/object-curly-even-spacing': 0,
        // 块级代码 {} 内空格不强制
        'block-spacing': 0,
        'object-curly-spacing': 0,
        'space-before-function-paren': 0,
        'space-before-blocks': 0,
        'keyword-spacing': 0,
        'space-infix-ops': 0,
        'padded-blocks': 0,
        'spaced-comment': 0,
        'arrow-spacing': 0,
        'no-multiple-empty-lines': 0,
        'no-trailing-spaces': 0,
        'space-in-parens': 0,
        'no-multi-spaces': 0,
        'semi-spacing': 0,
        'one-var': 0,
        'space-unary-ops':0,
        'no-useless-escape': 0,
        'no-extend-native': 0,
        'no-tabs': 0,
        'new-cap': 0,
        'handle-callback-err': 0

        // 'array-bracket-spacing': 0,
        // 逗号之前空格不检查
        // 'comma-spacing': 'off',
        // enforce consistent spacing inside computed property brackets
        // 'computed-property-spacing': 'warn',
        // 'key-spacing': 'off',
        // 'keyword-spacing': 'off'

        // 分号 always 检查
        // "always" (default) requires semicolons at the end of statements
        // "never" disallows semicolons as the end of statements (except to disambiguate statements beginning with [, (, /, +, or -)
        // 'semi': ['error', 'never']
    }
}
