module.exports = {
    /**
     * 身份证正则 (15或18位)
     */
    isIDCard: function (id) {
        let reg = /^(\d{6})(19|20)(\d{2})(1[0-2]|0[1-9])(0[1-9]|[1-2][0-9]|3[0-1])(\d{3})(\d|X|x)?$/;
        return reg.test(id);
    },

     /**
      * url 合法性校验
      */
     isUrl(url) {
         let reg = /https|http:\/\/[a-zA-Z0-9-]+(\.[a-zA-Z0-9]+)+(\.[a-zA-Z0-9],:;@&=][?~#%]*)*/gi;
         return reg.test(url);
     },

     /**
      * 中文校验
      */
     isChinese(str) {
         return /[\u4e00-\u9fa5]/gi.test(str);
     }
}
