/**
 * Author: Shper
 * Version: V0.1 2018/3/13
 */
export default {

    waitBridgeInject(callback) {
        let start = Date.now();
        let timeout = start + 10000;

        const detect = () => {
            if (window.taro && !window.WebViewBridgeDetectedAt) {
                window.WebViewBridgeDetectedAt = Date.now() - start;

                callback();
                return
            }

            if (!window.WebViewBridgeDetectedAt && Date.now() < timeout) {
                setTimeout(detect, 10)
            }
        };

        detect();
    },

    // 设置导航条
    setNavigationBar (title, style) {
        window.taro && window.taro.NativeUI.NavigationBar.setup(title, style);
    },

    // 导航条 右侧按钮
    setNavigationBarButton(button) {
        window.taro && window.taro.NativeUI.NavigationBar.rightButton(button);
    },

    openPage(title, url, callback) {
        window.taro && window.taro.App.Navigator.open(title, url, callback);
    },


    openNewWebview(title, url, callback) {
        window.taro && window.taro.App.Navigator.openNewWebview(title, url, callback);
    },

    // 用户信息获取
    getUserInfo(callback) {
        window.taro && window.taro.App.Account.getInfo(callback)
    },

    // loading show
    showLoading(msg = '') {
        window.taro && window.taro.NativeUI.Loading.show(msg)
    },

    // loading hide
    hideLoading() {
        window.taro && window.taro.NativeUI.Loading.hide()
    },

    toast(response) {

        // 未登录码 401
        if(response.status === 401) {
            let url = Rokid.domain.account + '/account.html#/login?source=h5_appstore&redirect=' + encodeURIComponent(location.href);

            // 微信中调用 => 跳专用登录
            if(location.href.indexOf('env=wechat') > -1) {
                url = 'https://cloudapp-test-bassam.rokid-inc.com/rokid-wx/Login.jsp?redirect=' + encodeURIComponent(location.href);
            }

            location.href = url;
        } else {

            let errMsg = response || '请求出错了';

            if (window.taro) {
                window.taro && window.taro.NativeUI.Toast.show(errMsg);
            } else {
                alert(errMsg);
            }

        }
    },

    // 通用的错误页面
    errorView (msg = '请求出错') {
        if(window.taro) {
            window.taro && window.taro.NativeUI.ErrorView.show();
        } else {
            alert(msg);
        }
    }

}
