// see http://vuejs-templates.github.io/webpack for documentation.
const path = require('path')
const ENV = process.env.PUBLISH_ENV

module.exports = {

    build: {
        assetsRoot: path.resolve(__dirname, '../../dist'),     //  编译输出的静态资源根路径
        assetsSubDirectory: 'static',
        assetsPublicPath: './',         // /dist/**/*.html 中css/js引用路径 相对路径配置，可配置为资源服务器域名或 CDN 域名
        productionSourceMap: false,      //  是否开启 cssSourceMap
        appDir: ENV === 'release' ? 'app' : (                       // 打包到哪个环境目录下
          ENV === 'rc' ? `app-rc` : (ENV === 'dev' ? `app-dev` : `app-local`)
        )
    },

    dev: {
        port: 8082,                                 // 运行测试页面的端口
        assetsSubDirectory: 'static',               // 编译输出的二级目录
        assetsPublicPath: '/',                      // 本地开发
        proxyTable: {                     // 可随意代理daily、dev、线上数据，（可跨域)
            // "/*.do": {
            //     pathRewrite: { '^/voice': '' },
            //     target: "http://10.89.4.155:8082",
            //     changeOrigin: false                         // 直接调试后端同学本地接口 changeOrigin =》 false
            // }
            // ,

            "/rokid_service": {
                target: "https://local.rokid.com:7001",
                changeOrigin: false                         // 直接调试后端同学本地接口 changeOrigin =》 false
            },
            "/store": {
                target: "https://local.rokid.com:7001",
                changeOrigin: false                         // 直接调试后端同学本地接口 changeOrigin =》 false
            }
            // "/store": "https://skill-dev.rokid.com"
        },
        cssSourceMap: false                         // cssSourceMap
    }
}
