require('colors')
const glob = require('glob')
const co = require('co')
const build = require('./build')
const ARGV = require('minimist')(process.argv.slice(2))._     // ['store-pc', 'store-h5']
const APP_DIR = require('./bundle/config').build.appDir

function wrongCommd() {
    throw new Error('项目名缺失或需指定是pc还是h5类型。'.red)
}

if(ARGV.length <= 0) {
    wrongCommd()
}

ARGV.forEach((argv, index) => {     // argv => store-pc
    if(argv) {
        let module = argv.split('-')
        let name = module[0]
        let platform = module[1]

        if(!name || !platform) {
            wrongCommd()
        }
    }
})

// ['demo-pc', 'demo-h5']
ARGV.forEach((argv, index) => {
    let arg = argv.split('-')
    let pagename = arg[0]
    let platform = arg[1]

    co(function *() {

        yield build(pagename, platform)
        console.log('FINISH BUILD'.green)

        if(APP_DIR !== 'app-local') {  // 发布到线上

            let buildDir = `dist/${APP_DIR}/${pagename}/${platform}`
            let files = yield glob.sync('**/*', {cwd: buildDir, nodir: true})
        }

    }).then(function () {
        console.log('done!')
        // console.log ('页面访问地址：', `https://p.rokidcdn.com/web/${APP_DIR}/${pagename}/${platform}/${pagename}.html`)
    })

})
